%global glib2_version 2.69.1

Name:          libsoup3
Version:       3.4.4
Release:       1
Summary:       Soup, an HTTP library implementation
License:       LGPLv2
URL:           https://wiki.gnome.org/Projects/libsoup
Source0:       https://download.gnome.org/sources/libsoup/3.4/libsoup-%{version}.tar.xz

BuildRequires: gcc meson gettext vala krb5-devel samba-winbind-clients
BuildRequires: gi-docgen >= 2021.1
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: glib-networking
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libbrotlidec)
BuildRequires: pkgconfig(libpsl)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(sysprof-capture-4)
BuildRequires: pkgconfig(libnghttp2)

Recommends:    glib-networking >= %{glib2_version}

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it), but the SOAP parts were removed
long ago.

%package devel
Summary: Header files for the Soup library
Requires: %{name} = %{version}-%{release}

%description devel
Libsoup is an HTTP library implementation in C. This package allows
you to develop applications that use the libsoup library.

%package_help

%prep
%autosetup -p1 -n libsoup-%{version}

%build
%meson -Ddocs=enabled -Dtests=false -Dautobahn=disabled -Dpkcs11_tests=disabled
%meson_build

%install
%meson_install
install -m 644 -D tests/libsoup.supp %{buildroot}%{_datadir}/libsoup-3.0/libsoup.supp

%find_lang libsoup-3.0

%files -f libsoup-3.0.lang
%license COPYING
%{_libdir}/libsoup-3.0.so.0*
%{_libdir}/girepository-1.0/Soup*3.0.typelib

%files devel
%{_includedir}/libsoup-3.0
%{_libdir}/libsoup-3.0.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Soup*3.0.gir
%{_datadir}/vala/vapi/libsoup-3.0.deps
%{_datadir}/vala/vapi/libsoup-3.0.vapi
%{_datadir}/libsoup-3.0/libsoup.supp

%files help
%doc README NEWS AUTHORS
%{_datadir}/doc

%changelog
* Fri Nov 17 2023 lwg <liweiganga@uniontech.com> - 3.4.4-1
- update to version 3.4.4

* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 3.2.2-1
- Update 3.2.2

* Mon Apr 11 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 3.0.6-1
- Initial packaging
